<?php
namespace Concrete\Package\Seren\Theme\Seren;
use Concrete\Core\Page\Theme\Theme;
use Concrete\Core\Area\Layout\Preset\Provider\ThemeProviderInterface;

class PageTheme extends Theme implements ThemeProviderInterface
{   
    public function registerAssets()
    {
        $this->requireAsset('javascript', 'jquery');
        $this->providesAsset('css', 'font-awesome');
        $this->providesAsset('javascript', 'bootstrap/*');
        $this->providesAsset('css', 'bootstrap/*');
        $this->providesAsset('javascript', 'backstretch');
        $this->providesAsset('javascript', 'retinajs');
    }
    public function getThemeAreaLayoutPresets()
    {
        return array(
            array(
                'handle' => 'seren_two_columns',
                'name' => 'Seren Two Columns',
                'container' => '<div class="row"></div>',
                'columns' => array(
                    '<div class="col-md-6"></div>',
                    '<div class="col-md-6"></div>'
                )
            ),
            array(
                'handle' => 'seren_three_columns',
                'name' => 'Seren Three Columns',
                'container' => '<div class="row"></div>',
                'columns' => array(
                    '<div class="col-md-4"></div>',
                    '<div class="col-md-4"></div>',
                    '<div class="col-md-4"></div>'
                )
            )
        );
        
    }    
    protected $pThemeGridFrameworkHandle = 'bootstrap3';
    
    public function getThemeBlockClasses()
    {
        return array(
            
            'image' => array(
                'seren-fade',
                'center-block',
                'img-full-width',
                'img-circle',
                'img-circle center-block'
            )
        );
    }
    public function getThemeDefaultBlockTemplates() {
        return array(
            'autonav' => 'seren',
        );
    }    
    public function getThemeEditorClasses()
    {
        return array(
            array(
                'title' => t('Seren Button Extra-Large'),
                'menuClass' => '',
                'spanClass' => 'btn btn-seren btn-xlg'
            ),
            array(
                'title' => t('Seren Button Large'),
                'menuClass' => '',
                'spanClass' => 'btn btn-seren btn-lg'
            ),
            array(
                'title' => t('Seren Button Default'),
                'menuClass' => '',
                'spanClass' => 'btn btn-seren btn-default'
            ),
            array(
                'title' => t('Seren Button Small'),
                'menuClass' => '',
                'spanClass' => 'btn btn-seren btn-sm'
            ),
            array(
                'title' => t('Seren Button Extra-small'),
                'menuClass' => '',
                'spanClass' => 'btn btn-seren btn-xs'
            ),
            array(
                'title' => t('Transparent Button Extra-Large'),
                'menuClass' => '',
                'spanClass' => 'btn btn-seren-transparent btn-xlg'
            ),
            array(
                'title' => t('Transparent Button Large'),
                'menuClass' => '',
                'spanClass' => 'btn btn-seren-transparent btn-lg'
            ),
            array(
                'title' => t('Transparent Button Default'),
                'menuClass' => '',
                'spanClass' => 'btn btn-seren-transparent btn-default'
            ),
            array(
                'title' => t('Transparent Button Small'),
                'menuClass' => '',
                'spanClass' => 'btn btn-seren-transparent btn-sm'
            ),
            array(
                'title' => t('Transparent Button Extra-small'),
                'menuClass' => '',
                'spanClass' => 'btn btn-seren-transparent btn-xsm'
            ),
            array(
                'title' => t('Light Transparent Button Extra-Large'),
                'menuClass' => '',
                'spanClass' => 'btn btn-seren-light-transparent btn-xlg'
            ),
            array(
                'title' => t('Light Transparent Button Large'),
                'menuClass' => '',
                'spanClass' => 'btn btn-seren-light-transparent btn-lg'
            ),
            array(
                'title' => t('Light Transparent Button Default'),
                'menuClass' => '',
                'spanClass' => 'btn btn-seren-light-transparent btn-default'
            ),
            array(
                'title' => t('Light Transparent Button Small'),
                'menuClass' => '',
                'spanClass' => 'btn btn-seren-light-transparent btn-sm'
            ),
            array(
                'title' => t('Light Transparent Button Extra-small'),
                'menuClass' => '',
                'spanClass' => 'btn btn-seren-light-transparent btn-xsm'
            ),
            array(
                'title' => t('Dark Transparent Button Extra-Large'),
                'menuClass' => '',
                'spanClass' => 'btn btn-seren-dark-transparent btn-xlg'
            ),
            array(
                'title' => t('Dark Transparent Button Large'),
                'menuClass' => '',
                'spanClass' => 'btn btn-seren-dark-transparent btn-lg'
            ),
            array(
                'title' => t('Dark Transparent Button Default'),
                'menuClass' => '',
                'spanClass' => 'btn btn-seren-dark-transparent btn-default'
            ),
            array(
                'title' => t('Dark Transparent Button Small'),
                'menuClass' => '',
                'spanClass' => 'btn btn-seren-dark-transparent btn-sm'
            ),
            array(
                'title' => t('Dark Transparent Button Extra-small'),
                'menuClass' => '',
                'spanClass' => 'btn btn-seren-dark-transparent btn-xsm'
            ),
            array(
                'title' => t('Banner caption'),
                'menuClass' => '',
                'spanClass' => 'banner-caption'
            ),
            array(
                'title' => t('Handwritten Text'),
                'menuClass' => '',
                'spanClass' => 'seren-handwritten-font'
            ),
            array(
                'title' => t('Handwritten Text Bold'),
                'menuClass' => '',
                'spanClass' => 'seren-handwritten-font-bold'
            )
            
        );
    }
}